<?php
/*
 * @version $Id: setup.php 3050 2006-04-04 20:40:10Z moyo $
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2006 by the INDEPNET Development Team.
 
 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// ----------------------------------------------------------------------
// Original Author of file: GRISARD Jean Marc & CAILLAUD Xavier
// Purpose of file:
// ----------------------------------------------------------------------

// TODO
// Manage dropdowns : ajout nouveau type, cas de la suppression

// Init the hooks of the plugins -Needed
include ("_relpos.php");
include_once ("inc/plugin_archires.functions_auth.php");
include_once ("inc/plugin_archires.functions_display.php");
include_once ("inc/plugin_archires.functions_db.php");
include_once ("inc/plugin_archires.functions_dropdown.php");
include_once ("inc/plugin_archires.functions_setup.php");
include_once ("inc/plugin_archires.classes.php");

function plugin_init_archires() {
        global $plugin_hooks;
	
		$plugin_hooks['init_session']['archires'] = 'plugin_archires_initSession';
	if (isset($_SESSION["glpiID"])){
	// Display a menu entry ?
			if (plugin_archires_haveRight("archires","r") || haveRight("config","w"))
	$plugin_hooks['menu_entry']['archires'] = true;
	
	// Config function
	if (haveRight("config","w") && TableExists("glpi_plugin_archires_config"))
		$plugin_hooks['config']['archires'] = 'plugin_config_archires';

		// Config page
		if (haveRight("config","w") && TableExists("glpi_plugin_archires_config"))
			$plugin_hooks['config_page']['archires'] = 'front/plugin_archires.config.php';
			}
}


// Get the name and the version of the plugin - Needed
function plugin_version_archires(){
global $langarchires;


   	return array( 'name'    => $langarchires["title"][0],
                    'version' => '1.4');

}





?>