<?php
/*
   ----------------------------------------------------------------------
   GLPI - Gestionnaire Libre de Parc Informatique
   Copyright (C) 2003-2005 by the INDEPNET Development Team.

   http://indepnet.net/   http://glpi-archires.org/
   ----------------------------------------------------------------------

   LICENSE

   This file is part of GLPI.

   GLPI is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   GLPI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GLPI; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   ------------------------------------------------------------------------
 */

// Original Author of file: GRISARD Jean Marc & CAILLAUD Xavier
// Purpose of file:
// ----------------------------------------------------------------------

include ("_relpos.php");
$NEEDED_ITEMS=array("setup");
include ($phproot . "/inc/includes.php");


checkRight("config","w");
commonHeader($langarchires["title"][0],$_SERVER["PHP_SELF"]);

			
	if(!TableExists("glpi_plugin_archires_config")) {

		echo "<div align='center'>";
		echo "<table class='tab_cadre' cellpadding='5'>";
		echo "<tr><th>".$langarchires["setup"][1];
		echo "</th></tr>";
		echo "<tr class='tab_bg_1'><td>";
		echo "<a href='plugin_archires.install.php'>".$langarchires["setup"][3]." v1.4</a></td></tr>";
		echo "</table></div>";


	}
	elseif (!TableExists("glpi_plugin_archires_color")){
		echo "<div align='center'>";
		echo "<table class='tab_cadre' cellpadding='5'>";
		echo "<tr><th>".$langarchires["setup"][1];
		echo "</th></tr>";
		echo "<tr class='tab_bg_1'><td>";
		echo "<a href='plugin_archires.update.php'>".$langarchires["setup"][4]." v1.4</a></td></tr>";
		echo "</table></div>";
	
	}else {
	
		checkRight("config","w");
		
		
			echo "<div align='center'><a class='icon_consol' href=\"".$HTMLRel."front/setup.plugins.php\">".$lang["buttons"][13]."</a></div><br>";

	// titre
			echo "<div align='center'><table border='0'><tr><td>";
			echo "<img src=\"".$HTMLRel."pics/configuration.png\" alt='".$langarchires["setup"][1]."' title='".$langarchires["setup"][1]."' ></td><td><span class='icon_sous_nav'><b>".$langarchires["setup"][1]."</b></span>";
			echo "</td></tr></table></div>";
			

	$plugin_archires_config=new plugin_archires_config;
		$plugin_archires_display=new plugin_archires_display;
		
	if (isset($_POST["add"])) {
		checkRight("config","w");
		
		$test= explode(";", $_POST['type']);
		$_POST['type']= $test[1];
		$_POST['device_type']= $test[0];
		
		if ($_POST['type']!='all'){
		plugin_archires_config_add($_POST['type'],$_POST['device_type'],$_POST['img']);
		}else{ 
		
			$items=array(
			COMPUTER_TYPE=>"computers",
			NETWORKING_TYPE=>"networking",
			PRINTER_TYPE=>"printers",
			PERIPHERAL_TYPE=>"peripherals",
			PHONE_TYPE=>"phones",
		    );
		
			$db = new DB;	
			$query="SELECT * FROM glpi_type_".$items["".$_POST['device_type'].""].";";	    
			$result = $db->query($query);
			$number = $db->numrows($result);
			$i = 0;
			while($i < $number){
			$type=$db->result($result, $i, "ID");
			plugin_archires_config_add($type,$_POST['device_type'],$_POST['img']);
			$i++;
			}
			
		}
		glpi_header($_SERVER['HTTP_REFERER']);

	}elseif (isset($_POST["add_color"])) {
		checkRight("config","w");
			
		if ($_POST['iface']!='all'){
		plugin_archires_color_add($_POST['iface'],$_POST['color']);
		}else{ 
			
			$db = new DB;	
			$query="SELECT * FROM glpi_dropdown_iface;";	    
			$result = $db->query($query);
			$number = $db->numrows($result);
			$i = 0;
			while($i < $number){
			$iface=$db->result($result, $i, "ID");
			plugin_archires_color_add($iface,$_POST['color']);
			$i++;
			}
			
		}
		glpi_header($_SERVER['HTTP_REFERER']);

	}elseif (isset($_POST["update_display"])) {
		checkRight("config","w");
		$plugin_archires_display->update($_POST);
		glpi_header($_SERVER['HTTP_REFERER']);
		
}elseif (isset($_POST["delete"])) {
		checkRight("config","w");
		
		$plugin_archires_config=new plugin_archires_config();
		$plugin_archires_config->getFromDB($_POST["ID"],-1);
		
		foreach ($_POST["item"] as $key => $val){
			if ($val==1) {
				plugin_archires_config_delete($key);
			}
		}
		glpi_header($_SERVER['HTTP_REFERER']);
		
}elseif (isset($_POST["delete_color"])) {
		checkRight("config","w");
		
		$plugin_archires_color=new plugin_archires_color();
		$plugin_archires_color->getFromDB($_POST["ID"],-1);
		
		foreach ($_POST["item_color"] as $key => $val){
			if ($val==1) {
				plugin_archires_color_delete($key);
			}
		}
		glpi_header($_SERVER['HTTP_REFERER']);
		
} elseif (isset($_POST["config_id"])) {
		checkRight("config","w");

		$plugin_archires_display->update($_POST);
		glpi_header($_SERVER['HTTP_REFERER']);

	} else {

		checkRight("config","w");
		
			echo "<div align='center'>";
			
			$query0 = "SELECT * FROM glpi_plugin_archires_display where id='1';";
			$result0 = $db->query($query0);
			$i=0;
			$computer=$db->result($result0, $i, "glpi_plugin_archires_display.computer");
			$networking=$db->result($result0, $i, "glpi_plugin_archires_display.networking");
			$printer=$db->result($result0, $i, "glpi_plugin_archires_display.printer");
			$peripheral=$db->result($result0, $i, "glpi_plugin_archires_display.peripheral");
			$phone=$db->result($result0, $i, "glpi_plugin_archires_display.phone");
			$display_ports=$db->result($result0, $i, "glpi_plugin_archires_display.display_ports");
			$display_ip=$db->result($result0, $i, "glpi_plugin_archires_display.display_ip");				
			$system=$db->result($result0, $i, "glpi_plugin_archires_display.system");		
			
			echo "<form method='post' action=\"./plugin_archires.config.php\">";		
			echo "<table class='tab_cadre' cellpadding='5'>";

			echo "<tr><th colspan='4'>".$langarchires["setup"][11]."</th></tr>";
			echo "<tr class='tab_bg_1'>";
			echo "<td colspan='2'><div align='center'><input type=\"radio\" name=\"system\" value=\"1\" "; if($system == '1') echo "checked";
			echo ">".$langarchires["setup"][9]; 			
			echo "</div></td><td colspan='2'><div align='center'><input type=\"radio\" name=\"system\" value=\"0\" "; if($system == '0') echo "checked";
			echo ">".$langarchires["setup"][10];
			echo "</div></td></tr>";
			echo "<tr><th colspan='4'>".$langarchires["archires"][3].": </th></tr>";
			echo "<tr class='tab_bg_1'><td>".$langarchires["archires"][6]."</td>";
			echo "<td>";
			echo "<select name=\"computer\">";
			echo "<option value='1' ".($computer==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($computer==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";
			echo "<td>".$langarchires["archires"][7]."</td>";
			echo "<td>";
			echo "<select name=\"networking\">";
			echo "<option value='1' ".($networking==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($networking==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			echo "<tr class='tab_bg_1'><td>".$langarchires["archires"][8]."</td>";
			echo "<td>";
			echo "<select name=\"printer\">";
			echo "<option value='1' ".($printer==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($printer==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";		
			echo "<td>".$langarchires["archires"][9]."</td>";
			echo "<td>";
			echo "<select name=\"peripheral\">";
			echo "<option value='1' ".($peripheral==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($peripheral==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			echo "<tr class='tab_bg_1'><td>".$langarchires["archires"][10]."</td>";
			echo "<td>";
			echo "<select name=\"phone\">";
			echo "<option value='1' ".($phone==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($phone==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";
			echo "<td colspan='2'>";
			echo "</td></tr>";
			echo "<tr class='tab_bg_1'><td>".$langarchires["archires"][16]."</td>";
			echo "<td>";
			echo "<select name=\"display_ports\">";
			echo "<option value='1' ".($display_ports==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($display_ports==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";
			echo "<td>".$langarchires["archires"][23]."</td>";
			echo "<td>";
			echo "<select name=\"display_ip\">";
			echo "<option value='1' ".($display_ip==1?" selected ":"").">".$langarchires["archires"][4]."</option>";
			echo "<option value='0' ".($display_ip==0?" selected ":"").">".$langarchires["archires"][5]."</option>";
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr><th colspan='4'>";
			echo "<input type='hidden' name='ID' value=\"1\">";
			echo "<div align='center'><input type='submit' name='update_display' value=\"".$lang["buttons"][2]."\" class='submit' ></div></th></tr>";
			echo "</table>";
			echo "</form>";
				
			//display
			echo "<form method='post'  action=\"./plugin_archires.config.php\">";
			echo "<table class='tab_cadre' cellpadding='5'><tr ><th colspan='4'>";
			echo $langarchires["setup"][2].": </th></tr>";
			
					
						echo "<tr class='tab_bg_1'><td>";
						
						plugin_archires_dropdownAllItems('type');
						echo "</td><td>";
						//file
						$rep = "../pics/";
						$dir = opendir($rep); 
						
						echo "<select name=\"img\">";
						while ($f = readdir($dir)) {
						   if(is_file($rep.$f)) {
							  echo "<option value='".$f."'>".$f."</option>";
						   }   
						}
						echo "</select>";
						closedir($dir);
						
						echo "<td>";
						echo "<div align='center'><input type='submit' name='add' value=\"".$lang["buttons"][2]."\" class='submit' ></div></td></tr>";
						
			echo "</table>";
			echo "</form>";	
			
			$query = "SELECT * FROM glpi_plugin_archires_config order by device_type, type asc;";
				if($result = $db->query($query)){
					$number = $db->numrows($result);
					if($number != 0){
					
					$i=0;
					
					echo "<form method='post' name='massiveaction_form' id='massiveaction_form' action=\"./plugin_archires.config.php\">";
						echo "<div id='liste'>";
						echo "<table class='tab_cadre' cellpadding='5'>";
						echo "<tr>";
						if ($number > 1)
						{
							echo "<th><div align='left'>".$langarchires["archires"][12]."</div></th><th><div align='left'>".$langarchires["archires"][13]."</div></th><th><div align='left'>".$langarchires["archires"][14]."</div></th><th></th>";
							echo "<th><div align='left'>".$langarchires["archires"][12]."</div></th><th><div align='left'>".$langarchires["archires"][13]."</div></th><th><div align='left'>".$langarchires["archires"][14]."</div></th><th></th>";
						}
						else
						{
							echo "<th><div align='left'>".$langarchires["archires"][12]."</div></th><th><div align='left'>".$langarchires["archires"][13]."</div></th><th><div align='left'>".$langarchires["archires"][14]."</div></th><th></th>";						
						}
						echo "</tr>";
					
					while($ligne= mysql_fetch_array($result)){
						
						
						$ID=$ligne["ID"];
						
						if($i  % 2==0 && $number>1)
							echo "<tr class='tab_bg_1'>";
						
						if($number==1)
							echo "<tr class='tab_bg_1'>";						
						echo "<td>".plugin_archires_getDeviceType($ligne["device_type"])."</td><td>".plugin_archires_getType($ligne["device_type"],$ligne["type"])."</td><td><img src=\"".$cfg_glpi["root_doc"]."/plugins/archires/pics/".$ligne["img"]."\" alt=\"".$ligne["img"]."\" title=\"".$ligne["img"]."\"></td>";					
						echo "<td>";
						echo "<input type='hidden' name='ID' value='$ID'>";
						echo "<input type='checkbox' name='item[$ID]' value='1'>";
						echo "</td>";
						
						$i++;
						if(($i  == $number) && ($number  % 2 !=0) && $number>1)
							echo "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>";
						
						}
						
						echo "<tr class='tab_bg_1'>";

						if ($number > 1)
							echo "<td colspan='8'>";
						else
							echo "<td colspan='4'>";
							
							echo "<div align='center'><a onclick= \"if ( markAllRows('massiveaction_form') ) return false;\" href='".$_SERVER["PHP_SELF"]."?select=all'>".$lang["buttons"][18]."</a>";

							echo " - <a onclick= \"if ( unMarkAllRows('massiveaction_form') ) return false;\" href='".$_SERVER["PHP_SELF"]."?select=none'>".$lang["buttons"][19]."</a> ";
							
							echo "<input type='submit' name='delete' value=\"".$lang["buttons"][6]."\" class='submit' ></div></td></tr>";
	
							echo "</table>";
							echo "</div>";
							echo "</form>";	
						

					}
				}
			
			//color
			echo "<form method='post'  action=\"./plugin_archires.config.php\">";
			echo "<table class='tab_cadre' cellpadding='5'><tr ><th colspan='3'>";
			echo $langarchires["setup"][8].": </th></tr>";
			
					
						echo "<tr class='tab_bg_1'><td>";
						
						plugin_archires_dropdowncolors();
						echo "</td><td>";
						//color
						echo "<input type='text' name=\"color\">";
						
						echo " <a href=\"http://www.graphviz.org/doc/info/colors.html\" target='_blank'<img src='".$HTMLRel."pics/aide.png'  alt=\"\" onmouseout=\"setdisplay(getElementById('comments1'),'none')\" onmouseover=\"setdisplay(getElementById('comments1'),'block')\">";
		echo "</a><span style='display:none;position:absolute;border:1px solid gray;background:transparent url(\"../../../pics/fondTR2.png\") repeat;-moz-border-radius:5px;padding:5px;font-size: 11px;text-align:left;width:280px;' id='comments1'>".$langarchires["setup"][12]."</span>";
						echo "<td>";
						
						echo "<div align='center'><input type='submit' name='add_color' value=\"".$lang["buttons"][2]."\" class='submit' ></div></td></tr>";
						
			echo "</table>";
			echo "</form>";	
			
			$query = "SELECT * FROM glpi_plugin_archires_color order by iface asc;";
				if($result = $db->query($query)){
					$number = $db->numrows($result);
					if($number != 0){
					
					$i=0;
					
					echo "<form method='post' name='massiveaction_form_color' id='massiveaction_form_color' action=\"./plugin_archires.config.php\">";
						echo "<div id='liste_color'>";
						echo "<table class='tab_cadre' cellpadding='5'>";
						echo "<tr>";
						if ($number > 1)
						{
							echo "<th><div align='left'>".$langarchires["archires"][19]."</div></th><th><div align='left'>".$langarchires["archires"][20]."</div></th><th></th>";
							echo "<th><div align='left'>".$langarchires["archires"][19]."</div></th><th><div align='left'>".$langarchires["archires"][20]."</div></th><th></th>";
						}
						else
						{
							echo "<th><div align='left'>".$langarchires["archires"][19]."</div></th><th><div align='left'>".$langarchires["archires"][20]."</div></th><th></th>";					
						}
						echo "</tr>";
					
					while($ligne= mysql_fetch_array($result)){
						
						
						$ID=$ligne["ID"];
						
						if($i  % 2==0 && $number>1)
							echo "<tr class='tab_bg_1'>";
						
						if($number==1)
							echo "<tr class='tab_bg_1'>";						
						echo "<td>".getDropdownName("glpi_dropdown_iface",$ligne["iface"])."</td><td bgcolor='".$ligne["color"]."'>".$ligne["color"]."</td>";					
						echo "<td>";
						echo "<input type='hidden' name='ID' value='$ID'>";
						echo "<input type='checkbox' name='item_color[$ID]' value='1'>";
						echo "</td>";
						
						$i++;
						if(($i  == $number) && ($number  % 2 !=0) && $number>1)
							echo "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>";
						
						}
						
						echo "<tr class='tab_bg_1'>";

						if ($number > 1)
							echo "<td colspan='8'>";
						else
							echo "<td colspan='4'>";
							
							echo "<div align='center'><a onclick= \"if ( markAllRows('massiveaction_form_color') ) return false;\" href='".$_SERVER["PHP_SELF"]."?select=all'>".$lang["buttons"][18]."</a>";

							echo " - <a onclick= \"if ( unMarkAllRows('massiveaction_form_color') ) return false;\" href='".$_SERVER["PHP_SELF"]."?select=none'>".$lang["buttons"][19]."</a> ";
							
							echo "<input type='submit' name='delete_color' value=\"".$lang["buttons"][6]."\" class='submit' ></div></td></tr>";
	
							echo "</table>";
							echo "</div>";
							echo "</form>";	
						

					}
				}
			echo "<table class='tab_cadre' cellpadding='5'>";
			echo "<tr><th>".$langarchires["setup"][1];
			echo "</th></tr>";
			if (haveRight("config","w") && haveRight("profile","w")){
			echo "<tr class='tab_bg_1'><td align='center'>";
			echo "<a href=\"./plugin_archires.profile.php\">".$langarchires["profile"][0]."</a>";
			echo "</td></tr>";
			}
			echo "<tr class='tab_bg_1'><td align='center'>";
			echo "<a href='plugin_archires.uninstall.php'>".$langarchires["setup"][5]." v1.4</a>";
			echo " <img src='".$HTMLRel."pics/aide.png' onmouseout=\"setdisplay(getElementById('comments'),'none')\" onmouseover=\"setdisplay(getElementById('comments'),'block')\" alt='".$langarchires["setup"][7]."'>";
			echo "<span class='over_link' id='comments'>".$langarchires["setup"][7]."</span>";
			echo "</td></tr>";
			echo "</table>";
			
			
		echo "</div>";
	}

}

		commonFooter();
	

?>
