<?php
/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2005 by the INDEPNET Development Team.
 
 http://indepnet.net/   http://glpi.indepnet.org
 ----------------------------------------------------------------------

 LICENSE

    This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/
 
// ----------------------------------------------------------------------
// Original Author of file: Sbastien Prud'homme
// Purpose of file: 
// ----------------------------------------------------------------------

// ----------------------------------------------------------------------
// Fichier modifi par Pierre Bnard pour la socit GRUAU
// Le 5 mai 2006
// ----------------------------------------------------------------------

// La fonction SelectLocation() fait apparatre une liste droulante qui permet 
// de selectionner un btiment ou tous.

// ----------------------------------------------------------------------
// modifier par Adrien RAVISE  aravise@citali.com
// le 12 septembre 2006
// Pour la societe CITALI
// ----------------------------------------------------------------------


function SelectCriteria(){
	global $langarchires,$lang;
	
// Location
	$db = new DB();
	$query = "SELECT id, completename FROM glpi_dropdown_locations order by completename ASC";


		echo "<form method='get' name='bat' action='index.php'>";
        echo $langarchires["archires"][2]." : ";
        echo "<select name=\"selectloc\" size=\"1\"> ";
        echo "<option value=\"\">---</option> ";
		echo "<option value=\"all\">".$langarchires["archires"][11]."</option>";
			if($result = $db->query($query)){
            			while($ligne= mysql_fetch_array($result)){
							$location=$ligne["completename"];   
							$location_id=$ligne["id"];
							echo "<option value=\"$location_id\">$location</option>";         
			         }
    			}
	
		echo "</select> ";
		echo $langarchires["archires"][15];  
		echo " <select name=\"child\" size=\"1\"> ";
        echo "<option value=\"1\">".$lang["choice"][1]."</option>";
		echo "<option value=\"0\">".$lang["choice"][0]."</option>";
		echo "</select> ";       

    echo "<BR><BR>ou ";
    
// Application
	$db = new DB();
	$query = "SELECT id, name FROM glpi_plugin_applicatifs order by name ASC";

        echo $langarchires["archires"][24]." : ";
        echo "<select name=\"selectapp\" size=\"1\"> ";
        echo "<option value=\"\">---</option> ";
		echo "<option value=\"all\">".$langarchires["archires"][11]."</option>";
			if($result = $db->query($query)){
            			while($ligne= mysql_fetch_array($result)){
							$application=$ligne["name"];   
							$application_id=$ligne["id"];
							echo "<option value=\"$application_id\">$application</option>";         
			         }
    			}
	
		echo "</select> ";
    echo "<BR><BR>";
		echo "<input type='submit' class='submit'  value=\"".$lang["buttons"][2]."\"> ";       
		echo "</form> ";
}


function plugin_archires_findChilds($db, $parent)
    {
    $queryBranch='';
    // Recherche les enfants
    $queryChilds= "select ID from glpi_dropdown_locations where parentID=$parent";
    if ($resultChilds = $db->query($queryChilds))
        {
        while ($dataChilds = $db->fetch_array($resultChilds)) 
            {
            $child=$dataChilds["ID"];
            $queryBranch .= ",$child";
            // Recherche les petits enfants rcursivement
            $queryBranch .= plugin_archires_findChilds($db, $child);
            }
        }
    return $queryBranch;
    }
    
function plugin_archires_graphviz_fetch_loc($format,$location_id,$child) {
    global $cfg_glpi,$phproot,$langarchires,$lang;

$image_name="";
    $db = new DB();
    
    $plugin_archires_config=new plugin_archires_config;
	$plugin_archires_display=new plugin_archires_display;
	$plugin_archires_display->getFromDB(1);
    $devices = array();
    $ports = array();
    
    			$query0 = "SELECT * FROM glpi_plugin_archires_display where id='1';";
			$result0 = $db->query($query0);
			$i=0;
			$computer=$plugin_archires_display->fields["computer"];
			$networking=$plugin_archires_display->fields["networking"];
			$printer=$plugin_archires_display->fields["printer"];
			$peripheral=$plugin_archires_display->fields["peripheral"];
			$phone=$plugin_archires_display->fields["phone"];
			$display_ports=$plugin_archires_display->fields["display_ports"];
			$display_ip=$plugin_archires_display->fields["display_ip"];
			$system=$plugin_archires_display->fields["system"];
    
    if ($computer!=0){
    $query = "SELECT np.ID, np.on_device, np.logical_number, np.iface,np.ifaddr, np.name as namep, c.name, c.type, c.FK_users, c.FK_groups, c.contact";
    if ($location_id!="all")
    $query .= ", lc.id, lc.parentID";
    $query .= " FROM glpi_networking_ports np, glpi_computers c";
    if ($location_id!="all")
    $query .= ", glpi_dropdown_locations lc";
    $query .= " WHERE np.device_type = " . COMPUTER_TYPE . " AND np.on_device = c.ID";
    $query .= " AND c.deleted = 'N' AND c.is_template = '0'";
    
    
    if ($location_id!="all")
        {
        $query .= " AND lc.ID = c.location AND lc.ID in ($location_id";
        if ($child!=0)
            $query .= plugin_archires_findChilds($db, $location_id);
        $query .= ") ";
        }
	$query .= "ORDER BY c.name ASC ";  
			if ($result = $db->query($query)) {
				while ($data = $db->fetch_array($result)) {
				
		
						$devices[COMPUTER_TYPE][$data["on_device"]]["type"] = $data["type"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["name"] = $data["name"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["contact"] = $data["contact"];
						$ports[$data["ID"]]["on_device"] = $data["on_device"];
						$ports[$data["ID"]]["logical_number"] = $data["logical_number"];
						$ports[$data["ID"]]["iface"] = $data["iface"];
						$ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
						$ports[$data["ID"]]["namep"] = $data["namep"];
						$ports[$data["ID"]]["IDp"] = $data["ID"];
						$ports[$data["ID"]]["device_type"] = COMPUTER_TYPE;

						//ip
						if ($data["ifaddr"]!="0.0.0.0" && $data["ifaddr"])
						{
								
								if (!empty($devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]))
								{
									$devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]  .= " - ";
									$devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]  .= $data["ifaddr"];
								}
								else
								{
									$devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]  = $data["ifaddr"];
								}
							
						}
						//fin ip


				}
			}
      
     }
     
    if ($networking!=0){  

	$query = "SELECT np.ID, np.on_device, np.logical_number, np.iface ,np.ifaddr, np.name as namep, n.ifaddr as nifaddr, n.name, n.type, n.FK_users, n.FK_groups, n.contact";
	
    if ($location_id!="all")
    $query .= ", lc.id, lc.parentID";
    $query .= " FROM glpi_networking_ports np, glpi_networking n";
    if ($location_id!="all")
    $query .= ", glpi_dropdown_locations lc";
    $query .= " WHERE np.device_type = " . NETWORKING_TYPE . " AND np.on_device = n.ID";
    $query .= " AND n.deleted = 'N' AND n.is_template = '0'";
    
    if ($location_id!="all")
        {
        $query .= " AND lc.ID = n.location AND lc.ID in ($location_id";
        if ($child!=0)
            $query .= plugin_archires_findChilds($db, $location_id);
        $query .= ") ";
        }
	$query .= "ORDER BY np.ifaddr ASC ";  
    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {          

            $devices[NETWORKING_TYPE][$data["on_device"]]["name"] = $data["name"];  
	    	$devices[NETWORKING_TYPE][$data["on_device"]]["type"] = $data["type"];
	    	$devices[NETWORKING_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
			$devices[NETWORKING_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
			$devices[NETWORKING_TYPE][$data["on_device"]]["contact"] = $data["contact"];
			$devices[NETWORKING_TYPE][$data["on_device"]]["ifaddr"]  = $data["nifaddr"];
            $ports[$data["ID"]]["on_device"] = $data["on_device"];
            $ports[$data["ID"]]["logical_number"] = $data["logical_number"];
            $ports[$data["ID"]]["iface"] = $data["iface"];
            $ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
            $ports[$data["ID"]]["namep"] = $data["namep"];
            $ports[$data["ID"]]["IDp"] = $data["ID"];
            $ports[$data["ID"]]["device_type"] = NETWORKING_TYPE;
		
		      	
        }
    }
    }
    
    if ($peripheral!=0){
    $query = "SELECT np.ID, np.on_device, np.logical_number, np.iface ,np.ifaddr, np.name as namep, p.name, p.type, p.FK_users, p.FK_groups, p.contact";
    if ($location_id!="all")
    $query .= ", lc.id, lc.parentID";
    $query .= " FROM glpi_networking_ports np, glpi_peripherals p";
    if ($location_id!="all")
    $query .= ", glpi_dropdown_locations lc";
    $query .= " WHERE np.device_type = " . PERIPHERAL_TYPE . " AND np.on_device = p.ID";
    $query .= " AND p.deleted = 'N' AND p.is_template = '0'";
    
    if ($location_id!="all")
        {
        $query .= " AND lc.ID = p.location AND lc.ID in ($location_id";
        if ($child!=0)
            $query .= plugin_archires_findChilds($db, $location_id);
        $query .= ") ";
        }
 
	$query .= "ORDER BY np.ifaddr ASC ";  
    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {
            

            	$devices[PERIPHERAL_TYPE][$data["on_device"]]["name"] = $data["name"];
            	$devices[PERIPHERAL_TYPE][$data["on_device"]]["type"] = $data["type"];
				$devices[PERIPHERAL_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
				$devices[PERIPHERAL_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
				$devices[PERIPHERAL_TYPE][$data["on_device"]]["contact"] = $data["contact"];
            	$ports[$data["ID"]]["on_device"] = $data["on_device"];
            	$ports[$data["ID"]]["logical_number"] = $data["logical_number"];
            	$ports[$data["ID"]]["iface"] = $data["iface"];
            	$ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
            	$ports[$data["ID"]]["namep"] = $data["namep"];
            	$ports[$data["ID"]]["IDp"] = $data["ID"];
            	$ports[$data["ID"]]["device_type"] = PERIPHERAL_TYPE;
            	
            				//ip
			if ($data["ifaddr"]!="0.0.0.0" && $data["ifaddr"])
			{
				
					if (!empty($devices[PERIPHERAL_TYPE][$data["on_device"]]["ifaddr"]))
					{
						$devices[PERIPHERAL_TYPE][$data["on_device"]]["ifaddr"]  .= " - ";
						$devices[PERIPHERAL_TYPE][$data["on_device"]]["ifaddr"]  .= $data["ifaddr"];
					}
					else
					{
						$devices[PERIPHERAL_TYPE][$data["on_device"]]["ifaddr"]  = $data["ifaddr"];
					}
				
			}
			//fin ip
        	
        }
    }
    }  
	
	if ($printer!=0){
    $query = "SELECT np.ID, np.on_device, np.logical_number, np.iface ,np.ifaddr, np.name as namep, pr.name, pr.type, pr.FK_users, pr.FK_groups, pr.contact";
    if ($location_id!="all")
    $query .= ", lc.id, lc.parentID";
    $query .= " FROM glpi_networking_ports np, glpi_printers pr";
    if ($location_id!="all")
    $query .= ", glpi_dropdown_locations lc";
    $query .= " WHERE np.device_type = " . PRINTER_TYPE . " AND np.on_device = pr.ID";
    $query .= " AND pr.deleted = 'N' AND pr.is_template = '0'";
    
    if ($location_id!="all")
        {
        $query .= " AND lc.ID = pr.location AND lc.ID in ($location_id";
        if ($child!=0)
            $query .= plugin_archires_findChilds($db, $location_id);
        $query .= ") ";
        }
 
	$query .= "ORDER BY np.ifaddr ASC ";  		
    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {
            
	    
	   
            	$devices[PRINTER_TYPE][$data["on_device"]]["name"] = $data["name"];
            	$devices[PRINTER_TYPE][$data["on_device"]]["type"] = $data["type"];
  				$devices[PRINTER_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
				$devices[PRINTER_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
				$devices[PRINTER_TYPE][$data["on_device"]]["contact"] = $data["contact"];
            	$ports[$data["ID"]]["on_device"] = $data["on_device"];
            	$ports[$data["ID"]]["logical_number"] = $data["logical_number"];
            	$ports[$data["ID"]]["iface"] = $data["iface"];
            	$ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
            	$ports[$data["ID"]]["namep"] = $data["namep"];
            	$ports[$data["ID"]]["IDp"] = $data["ID"];
            	$ports[$data["ID"]]["device_type"] = PRINTER_TYPE;

			//ip
			if ($data["ifaddr"]!="0.0.0.0" && $data["ifaddr"])
			{
				
					if (!empty($devices[PRINTER_TYPE][$data["on_device"]]["ifaddr"]))
					{
						$devices[PRINTER_TYPE][$data["on_device"]]["ifaddr"]  .= " - ";
						$devices[PRINTER_TYPE][$data["on_device"]]["ifaddr"]  .= $data["ifaddr"];
					}
					else
					{
						$devices[PRINTER_TYPE][$data["on_device"]]["ifaddr"]  = $data["ifaddr"];
					}
				
			}
			//fin ip


				}
			}       
	}
	
	if ($phone!=0){
   $query = "SELECT np.ID, np.on_device, np.logical_number, np.iface ,np.ifaddr, np.name as namep, ph.name, ph.type, ph.FK_users, ph.FK_groups, ph.contact";
    if ($location_id!="all")
    $query .= ", lc.id, lc.parentID";
    $query .= " FROM glpi_networking_ports np, glpi_phones ph";
    if ($location_id!="all")
    $query .= ", glpi_dropdown_locations lc";
    $query .= " WHERE np.device_type = " . PHONE_TYPE . " AND np.on_device = ph.ID";
    $query .= " AND ph.deleted = 'N' AND ph.is_template = '0'";
    
    if ($location_id!="all")
        {
        $query .= " AND lc.ID = ph.location AND lc.ID in ($location_id";
        if ($child!=0)
            $query .= plugin_archires_findChilds($db, $location_id);
        $query .= ") ";
        }
      $query .= "ORDER BY np.ifaddr ASC ";  
 
    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {
            
            	$devices[PHONE_TYPE][$data["on_device"]]["name"] = $data["name"];
            	$devices[PHONE_TYPE][$data["on_device"]]["type"] = $data["type"];
  				$devices[PHONE_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
				$devices[PHONE_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
				$devices[PHONE_TYPE][$data["on_device"]]["contact"] = $data["contact"];
            	$ports[$data["ID"]]["on_device"] = $data["on_device"];
            	$ports[$data["ID"]]["logical_number"] = $data["logical_number"];
            	$ports[$data["ID"]]["iface"] = $data["iface"];
            	$ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
            	$ports[$data["ID"]]["namep"] = $data["namep"];
            	$ports[$data["ID"]]["IDp"] = $data["ID"];
            	$ports[$data["ID"]]["device_type"] = PHONE_TYPE;
        	
        	//ip
			if ($data["ifaddr"]!="0.0.0.0" && $data["ifaddr"])
			{
				
					if (!empty($devices[PHONE_TYPE][$data["on_device"]]["ifaddr"]))
					{
						$devices[PHONE_TYPE][$data["on_device"]]["ifaddr"]  .= " - ";
						$devices[PHONE_TYPE][$data["on_device"]]["ifaddr"]  .= $data["ifaddr"];
					}
					else
					{
						$devices[PHONE_TYPE][$data["on_device"]]["ifaddr"]  = $data["ifaddr"];
					}
				
			}
			//fin ip

    
       }
     }
     
  }  
    $wires = array();

    $query = "SELECT nw.ID, nw.end1, nw.end2";
    $query .= " FROM glpi_networking_wire nw";

    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {
            $wires[$data["ID"]]["end1"] = $data["end1"];
            $wires[$data["ID"]]["end2"] = $data["end2"];
        }
    }

    $graph = "graph G {\n";
    $graph .= "overlap=false;\n";
    //all
    $graph .= "bgcolor=white;\n";

    //items
	$graph .= "node [shape=polygon, sides=6, fontname=\"Verdana\", fontsize=\"7\"];\n";

    foreach ($devices as $device_type => $typed_devices) {
  
        foreach ($typed_devices as $device_id => $device) {
	    
            $device_unique_name = $device_type . "_" . $device_id . "_";
            $device_unique_name .= $device["name"];


   if (empty($device["type"]) || !isset($device["type"])) $image_name = "pics/nothing.png";
	$image_name = "pics/nothing.png";
   
            switch ($device_type) {
            		
		case COMPUTER_TYPE:               
			$query = "SELECT * FROM glpi_plugin_archires_config where device_type='1';";
				if($result = $db->query($query)){
				
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
					
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
						
					}
				}
		
		$url = $cfg_glpi["root_doc"] . "/front/computer.form.php?ID=" . $device_id;
                
		break;
                
		case NETWORKING_TYPE:			
			$query = "SELECT * FROM glpi_plugin_archires_config where device_type='2';";
				if($result = $db->query($query)){
				
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
						
					}
				}
           
			
            $url = $cfg_glpi["root_doc"] . "/front/networking.form.php?ID=" . $device_id;
        break;

		case PERIPHERAL_TYPE:
			$query = "SELECT * FROM glpi_plugin_archires_config where device_type='5';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
					}
				}
           
				
               	$url = $cfg_glpi["root_doc"] . "/front/peripheral.form.php?ID=" . $device_id;
        break;
        
        case PRINTER_TYPE:
               $query = "SELECT * FROM glpi_plugin_archires_config where device_type='3';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
					}
				}
           
				
               	$url = $cfg_glpi["root_doc"] . "/front/printer.form.php?ID=" . $device_id;
        break;
               	
        case PHONE_TYPE:
                   $query = "SELECT * FROM glpi_plugin_archires_config where device_type='23';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
					}
				}
           
				
               	$url = $cfg_glpi["root_doc"] . "/front/phone.form.php?ID=" . $device_id;
        break;
            }
			            
            $graph .= "\"" . $device_unique_name . "\" [shape=plaintext";
            $graph .= ", label=<<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
            $graph .= "<tr><td><img src=\"" . $image_name . "\"/></td></tr>";

        
        if ($display_ip!=0 && isset($device["ifaddr"]))      
		$graph .= "<tr><td>  </td></tr><tr><td>" . $device["name"] .  " - " . plugin_archires_getType($device_type,$device["type"]) . "</td></tr><tr><td>" . $device["ifaddr"] . "</td></tr></table>>";
		else
		 $graph .= "<tr><td>  </td></tr><tr><td>" . $device["name"] . "</td></tr><tr><td>" . plugin_archires_getType($device_type,$device["type"]) . "</td></tr></table>>";
		 
            if ($device["FK_users"])
            $graph .= "URL=\"" . $url . "\" tooltip=\"".getusername($device["FK_users"])."\"];\n";
			elseif (!$device["FK_users"] && $device["FK_groups"])
            $graph .= "URL=\"" . $url . "\" tooltip=\"".plugin_archires_getgroupName($device["FK_groups"])."\"];\n";
            elseif (!$device["FK_users"] && !$device["FK_groups"] && $device["contact"])
           $graph .= "URL=\"" . $url . "\" tooltip=\"".$device["contact"]."\"];\n";
           else
           $graph .= "URL=\"" . $url . "\" tooltip=\"".$device["name"]."\"];\n";

        }
    }
    


    foreach ($wires as $wire) {
        if (!empty($ports[$wire["end1"]]) && !empty($ports[$wire["end2"]]) && isset($ports[$wire["end1"]]) && isset($ports[$wire["end2"]]) ) {
            $on_device1 = $ports[$wire["end1"]]["on_device"];
            $device_type1 = $ports[$wire["end1"]]["device_type"];
            $logical_number1 = $ports[$wire["end1"]]["logical_number"];
            $name1 = $ports[$wire["end1"]]["namep"];
            $ID1 = $ports[$wire["end1"]]["IDp"];
			$iface1 = $ports[$wire["end1"]]["iface"];
			$ifaddr1 = $ports[$wire["end1"]]["ifaddr"];
            $device_unique_name1 = $device_type1 . "_" . $on_device1 . "_";
            $device_unique_name1 .= $devices[$device_type1][$on_device1]["name"];

            $on_device2 = $ports[$wire["end2"]]["on_device"];
            $device_type2 = $ports[$wire["end2"]]["device_type"];
            $logical_number2 = $ports[$wire["end2"]]["logical_number"];
            $name2 = $ports[$wire["end2"]]["namep"];
            $ID2 = $ports[$wire["end2"]]["IDp"];
			$iface2 = $ports[$wire["end2"]]["iface"];
			$ifaddr2 = $ports[$wire["end2"]]["ifaddr"];
            $device_unique_name2 = $device_type2 . "_" . $on_device2 . "_";
            $device_unique_name2 .= $devices[$device_type2][$on_device2]["name"];
			
	//arrow
		if (empty($iface1) && empty($iface2)) {
 $graph .= "edge [color=black,arrowsize=1, fontname=\"Verdana\", fontsize=\"7\"];\n";
}
	elseif (!empty($iface1)){
		$query = "SELECT * FROM glpi_plugin_archires_color WHERE iface='".$iface1."';";
		$result = $db->query($query);
		$number = $db->numrows($result);
			if($number > 0){
				
			$color1=$db->result($result,0,"color");
			$graph .= "edge [color=".$color1.", fontname=\"Verdana\", fontsize=\"7\"];\n";
				}else{
				$graph .= "edge [color=black,arrowsize=1, fontname=\"Verdana\", fontsize=\"7\"];\n";			
				}					
			}else{
		$query = "SELECT * FROM glpi_plugin_archires_color WHERE iface='".$iface2."';";
		$result = $db->query($query);
		$number = $db->numrows($result);
			if($number > 0){
				
			$color2=$db->result($result,0,"color");
			$graph .= "edge [color=".$color2.", fontname=\"Verdana\", fontsize=\"7\"];\n";
				}else{
				$graph .= "edge [color=black,arrowsize=1, fontname=\"Verdana\", fontsize=\"7\"];\n";	

		}
}
		if ($display_ports!=0){
            $url_ports = $cfg_glpi["root_doc"] . "/front/networking.port.php?ID=";
		$graph .= "\"" . $device_unique_name1 . "\"";		
            $graph .= " -- \"" . $device_unique_name2 ."\"[label=";
$graph .= "<<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\">";
			if ($display_ip!=0)
			$graph .= "<tr><td>".$ifaddr1."</td></tr>";
            $graph .= "<tr><td HREF=\"" . $url_ports.$ID1 . "\" tooltip=\"".$name1."\">".$langarchires["archires"][17]." ".$logical_number1."</td></tr>";
	   
	    if ($system!=0)      
			$graph .= "<tr><td><img src= \"pics/socket.png\" /></td></tr>";
			
			
            $graph .= "<tr><td HREF=\"" . $url_ports.$ID2 . "\" tooltip=\"".$name2."\">".$langarchires["archires"][17]." ".$logical_number2."</td></tr>";
            if ($display_ip!=0)
            $graph .= "<tr><td>".$ifaddr2."</td></tr>";
            $graph .= "</table>>];\n";
            }else{
	$graph .= "\"" . $device_unique_name1 . "\"";
            $graph .= " -- \"" . $device_unique_name2 ."\";\n";
            }
          
        }
    }

    $graph .= "}\n";
	//print $graph;
    $graph_name = tempnam("", "");
    $output_name = tempnam("", "");

    if ($graph_file = fopen($graph_name, "w")) {
        fputs($graph_file, $graph);
        fclose($graph_file);

        $command = "dot -T" . $format . " -o " . $output_name . " " . $graph_name;

        `$command`;
        unlink($graph_name);

        if ($output_file = fopen($output_name, "rb")) {
            $output_data = fread($output_file, filesize($output_name));
            fclose($output_file);
            unlink($output_name);

            return $output_data;
        }
    }
}

function plugin_archires_graphviz_fetch_app($format,$application_id) {
    global $cfg_glpi,$phproot,$langarchires,$lang;

$image_name="";
    $db = new DB();
    
    $plugin_archires_config=new plugin_archires_config;
	$plugin_archires_display=new plugin_archires_display;
	$plugin_archires_display->getFromDB(1);
    $devices = array();
    $ports = array();
    
    			$query0 = "SELECT * FROM glpi_plugin_archires_display where id='1';";
			$result0 = $db->query($query0);
			$i=0;
			$computer=$plugin_archires_display->fields["computer"];
			$networking=$plugin_archires_display->fields["networking"];
			$printer=$plugin_archires_display->fields["printer"];
			$peripheral=$plugin_archires_display->fields["peripheral"];
			$phone=$plugin_archires_display->fields["phone"];
			$display_ports=$plugin_archires_display->fields["display_ports"];
			$display_ip=$plugin_archires_display->fields["display_ip"];
			$system=$plugin_archires_display->fields["system"];
    
    if ($computer!=0){
	    $query = "SELECT np.ID, np.on_device, np.logical_number, np.iface,np.ifaddr, np.name as namep, c.name, c.type, c.FK_users, c.FK_groups, c.contact";
    	$query .= " FROM glpi_networking_ports np, glpi_computers c, glpi_plugin_applicatifs_device ad";
    	$query .= " WHERE np.device_type = " . COMPUTER_TYPE . " AND np.on_device = c.ID";
    	$query .= " AND c.deleted = 'N' AND c.is_template = '0'";
    	$query .= " AND ad.FK_applicatif = '" . $application_id . "'";
    	$query .= " AND ad.FK_device = c.ID ";
			$query .= "ORDER BY np.ifaddr ASC ";  
			if ($result = $db->query($query)) {
				while ($data = $db->fetch_array($result)) {
				
		
						$devices[COMPUTER_TYPE][$data["on_device"]]["type"] = $data["type"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["name"] = $data["name"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
						$devices[COMPUTER_TYPE][$data["on_device"]]["contact"] = $data["contact"];
						$ports[$data["ID"]]["on_device"] = $data["on_device"];
						$ports[$data["ID"]]["logical_number"] = $data["logical_number"];
						$ports[$data["ID"]]["iface"] = $data["iface"];
						$ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
						$ports[$data["ID"]]["namep"] = $data["namep"];
						$ports[$data["ID"]]["IDp"] = $data["ID"];
						$ports[$data["ID"]]["device_type"] = COMPUTER_TYPE;

						//ip
						if ($data["ifaddr"]!="0.0.0.0" && $data["ifaddr"])
						{
								
								if (!empty($devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]))
								{
									$devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]  .= " - ";
									$devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]  .= $data["ifaddr"];
								}
								else
								{
									$devices[COMPUTER_TYPE][$data["on_device"]]["ifaddr"]  = $data["ifaddr"];
								}
							
						}
						//fin ip


				}
			}
      
     }
     
 
    if ($networking!=0){  

	    $query = "SELECT np.ID, np.on_device, np.logical_number, np.iface,np.ifaddr, np.name as namep, n.name, n.type, n.FK_users, n.FK_groups, n.contact";
    	$query .= " FROM glpi_networking_ports np, glpi_networking n, glpi_plugin_applicatifs_device ad";
	    $query .= " WHERE np.device_type = " . NETWORKING_TYPE . " AND np.on_device = n.ID";
  	  $query .= " AND n.deleted = 'N' AND n.is_template = '0'";
    	$query .= " AND ad.FK_applicatif = '" . $application_id . "'";
    	$query .= " AND ad.FK_device = n.ID ";
			$query .= "ORDER BY np.ifaddr ASC ";  
   
    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {          

            $devices[NETWORKING_TYPE][$data["on_device"]]["name"] = $data["name"];  
	    			$devices[NETWORKING_TYPE][$data["on_device"]]["type"] = $data["type"];
	    			$devices[NETWORKING_TYPE][$data["on_device"]]["FK_users"] = $data["FK_users"];
						$devices[NETWORKING_TYPE][$data["on_device"]]["FK_groups"] = $data["FK_groups"];
						$devices[NETWORKING_TYPE][$data["on_device"]]["contact"] = $data["contact"];
						$devices[NETWORKING_TYPE][$data["on_device"]]["ifaddr"]  = $data["nifaddr"];
            $ports[$data["ID"]]["on_device"] = $data["on_device"];
            $ports[$data["ID"]]["logical_number"] = $data["logical_number"];
            $ports[$data["ID"]]["iface"] = $data["iface"];
            $ports[$data["ID"]]["ifaddr"] = $data["ifaddr"];
            $ports[$data["ID"]]["namep"] = $data["namep"];
            $ports[$data["ID"]]["IDp"] = $data["ID"];
            $ports[$data["ID"]]["device_type"] = NETWORKING_TYPE;
		
		      	
        }
    }
    }
 
 
 
    $wires = array();

    $query = "SELECT nw.ID, nw.end1, nw.end2";
    $query .= " FROM glpi_networking_wire nw";

    if ($result = $db->query($query)) {
        while ($data = $db->fetch_array($result)) {
            $wires[$data["ID"]]["end1"] = $data["end1"];
            $wires[$data["ID"]]["end2"] = $data["end2"];
        }
    }

    $graph = "graph G {\n";
    $graph .= "overlap=false;\n";
    //all
    $graph .= "bgcolor=white;\n";

    //items
	$graph .= "node [shape=polygon, sides=6, fontname=\"Verdana\", fontsize=\"7\"];\n";

    foreach ($devices as $device_type => $typed_devices) {
  
        foreach ($typed_devices as $device_id => $device) {
	    
            $device_unique_name = $device_type . "_" . $device_id . "_";
            $device_unique_name .= $device["name"];


   if (empty($device["type"]) || !isset($device["type"])) $image_name = "pics/nothing.png";
	$image_name = "pics/nothing.png";
   
            switch ($device_type) {
            		
		case COMPUTER_TYPE:               
			$query = "SELECT * FROM glpi_plugin_archires_config where device_type='1';";
				if($result = $db->query($query)){
				
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
					
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
						
					}
				}
		
		$url = $cfg_glpi["root_doc"] . "/front/computer.form.php?ID=" . $device_id;
                
		break;
                
		case NETWORKING_TYPE:			
			$query = "SELECT * FROM glpi_plugin_archires_config where device_type='2';";
				if($result = $db->query($query)){
				
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
						
					}
				}
           
			
            $url = $cfg_glpi["root_doc"] . "/front/networking.form.php?ID=" . $device_id;
        break;

		case PERIPHERAL_TYPE:
			$query = "SELECT * FROM glpi_plugin_archires_config where device_type='5';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
					}
				}
           
				
               	$url = $cfg_glpi["root_doc"] . "/front/peripheral.form.php?ID=" . $device_id;
        break;
        
        case PRINTER_TYPE:
               $query = "SELECT * FROM glpi_plugin_archires_config where device_type='3';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
					}
				}
           
				
               	$url = $cfg_glpi["root_doc"] . "/front/printer.form.php?ID=" . $device_id;
        break;
               	
        case PHONE_TYPE:
                   $query = "SELECT * FROM glpi_plugin_archires_config where device_type='23';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$config_img=$ligne["img"];
						if ($device["type"] == $ligne["type"]) {
						$image_name = "pics/$config_img";
		   
						}
					}
				}
           
				
               	$url = $cfg_glpi["root_doc"] . "/front/phone.form.php?ID=" . $device_id;
        break;
            }
			            
            $graph .= "\"" . $device_unique_name . "\" [shape=plaintext";
            $graph .= ", label=<<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
            $graph .= "<tr><td><img src=\"" . $image_name . "\"/></td></tr>";

        
        if ($display_ip!=0 && isset($device["ifaddr"]))      
		$graph .= "<tr><td>  </td></tr><tr><td>" . $device["name"] .  " - " . plugin_archires_getType($device_type,$device["type"]) . "</td></tr><tr><td>" . $device["ifaddr"] . "</td></tr></table>>";
		else
		 $graph .= "<tr><td>  </td></tr><tr><td>" . $device["name"] . "</td></tr><tr><td>" . plugin_archires_getType($device_type,$device["type"]) . "</td></tr></table>>";
		 
            if ($device["FK_users"])
            $graph .= "URL=\"" . $url . "\" tooltip=\"".getusername($device["FK_users"])."\"];\n";
			elseif (!$device["FK_users"] && $device["FK_groups"])
            $graph .= "URL=\"" . $url . "\" tooltip=\"".plugin_archires_getgroupName($device["FK_groups"])."\"];\n";
            elseif (!$device["FK_users"] && !$device["FK_groups"] && $device["contact"])
           $graph .= "URL=\"" . $url . "\" tooltip=\"".$device["contact"]."\"];\n";
           else
           $graph .= "URL=\"" . $url . "\" tooltip=\"".$device["name"]."\"];\n";

        }
    }
    


    foreach ($wires as $wire) {
        if (!empty($ports[$wire["end1"]]) && !empty($ports[$wire["end2"]]) && isset($ports[$wire["end1"]]) && isset($ports[$wire["end2"]]) ) {
            $on_device1 = $ports[$wire["end1"]]["on_device"];
            $device_type1 = $ports[$wire["end1"]]["device_type"];
            $logical_number1 = $ports[$wire["end1"]]["logical_number"];
            $name1 = $ports[$wire["end1"]]["namep"];
            $ID1 = $ports[$wire["end1"]]["IDp"];
			$iface1 = $ports[$wire["end1"]]["iface"];
			$ifaddr1 = $ports[$wire["end1"]]["ifaddr"];
            $device_unique_name1 = $device_type1 . "_" . $on_device1 . "_";
            $device_unique_name1 .= $devices[$device_type1][$on_device1]["name"];

            $on_device2 = $ports[$wire["end2"]]["on_device"];
            $device_type2 = $ports[$wire["end2"]]["device_type"];
            $logical_number2 = $ports[$wire["end2"]]["logical_number"];
            $name2 = $ports[$wire["end2"]]["namep"];
            $ID2 = $ports[$wire["end2"]]["IDp"];
			$iface2 = $ports[$wire["end2"]]["iface"];
			$ifaddr2 = $ports[$wire["end2"]]["ifaddr"];
            $device_unique_name2 = $device_type2 . "_" . $on_device2 . "_";
            $device_unique_name2 .= $devices[$device_type2][$on_device2]["name"];
			
	//arrow
		if (empty($iface1) && empty($iface2)) {
 $graph .= "edge [color=black,arrowsize=1, fontname=\"Verdana\", fontsize=\"7\"];\n";
}
	elseif (!empty($iface1)){
		$query = "SELECT * FROM glpi_plugin_archires_color WHERE iface='".$iface1."';";
		$result = $db->query($query);
		$number = $db->numrows($result);
			if($number > 0){
				
			$color1=$db->result($result,0,"color");
			$graph .= "edge [color=".$color1.", fontname=\"Verdana\", fontsize=\"7\"];\n";
				}else{
				$graph .= "edge [color=black,arrowsize=1, fontname=\"Verdana\", fontsize=\"7\"];\n";			
				}					
			}else{
		$query = "SELECT * FROM glpi_plugin_archires_color WHERE iface='".$iface2."';";
		$result = $db->query($query);
		$number = $db->numrows($result);
			if($number > 0){
				
			$color2=$db->result($result,0,"color");
			$graph .= "edge [color=".$color2.", fontname=\"Verdana\", fontsize=\"7\"];\n";
				}else{
				$graph .= "edge [color=black,arrowsize=1, fontname=\"Verdana\", fontsize=\"7\"];\n";	

		}
}
		if ($display_ports!=0){
            $url_ports = $cfg_glpi["root_doc"] . "/front/networking.port.php?ID=";
		$graph .= "\"" . $device_unique_name1 . "\"";		
            $graph .= " -- \"" . $device_unique_name2 ."\"[label=";
$graph .= "<<table border=\"0\" cellpadding=\"2\" cellspacing=\"2\">";
			if ($display_ip!=0)
			$graph .= "<tr><td>".$ifaddr1."</td></tr>";
            $graph .= "<tr><td HREF=\"" . $url_ports.$ID1 . "\" tooltip=\"".$name1."\">".$langarchires["archires"][17]." ".$logical_number1."</td></tr>";
	   
	    if ($system!=0)      
			$graph .= "<tr><td><img src= \"pics/socket.png\" /></td></tr>";
			
			
            $graph .= "<tr><td HREF=\"" . $url_ports.$ID2 . "\" tooltip=\"".$name2."\">".$langarchires["archires"][17]." ".$logical_number2."</td></tr>";
            if ($display_ip!=0)
            $graph .= "<tr><td>".$ifaddr2."</td></tr>";
            $graph .= "</table>>];\n";
            }else{
	$graph .= "\"" . $device_unique_name1 . "\"";
            $graph .= " -- \"" . $device_unique_name2 ."\";\n";
            }
          
        }
    }

    $graph .= "}\n";
	//print $graph;
    $graph_name = tempnam("", "");
    $output_name = tempnam("", "");

    if ($graph_file = fopen($graph_name, "w")) {
        fputs($graph_file, $graph);
        fclose($graph_file);

        $command = "dot -T" . $format . " -o " . $output_name . " " . $graph_name;

        `$command`;
        unlink($graph_name);

        if ($output_file = fopen($output_name, "rb")) {
            $output_data = fread($output_file, filesize($output_name));
            fclose($output_file);
            unlink($output_name);

            return $output_data;
        }
    }
}

?>