<?php
/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2005 by the INDEPNET Development Team.
 
 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/
 
// ----------------------------------------------------------------------
// Original Author of file: Sébastien Prud'homme
// Purpose of file:
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Fichier modifiéar Pierre Bérd pour la socié GRUAU
// Le 5 mai 2006
// ----------------------------------------------------------------------
// modifier par Adrien RAVISE  aravise@citali.com
// le 12 septembre 2006
// Pour la societe CITALI
// ----------------------------------------------------------------------

include ("_relpos.php");
include ($phproot . "/inc/includes.php");

commonHeader($langarchires["title"][0], $_SERVER["PHP_SELF"]);

if(plugin_archires_haveRight("archires","r") || haveRight("config","w")){

	
	if(!TableExists("glpi_plugin_archires_config") || !FieldExists("glpi_plugin_archires_display","display_ports") || !TableExists("glpi_plugin_archires_color")) {
		glpi_header("./front/plugin_archires.config.php");
	} 
	else {

		$plugin_archires_display=new plugin_archires_display();
		$plugin_archires_display->title();
		
		if(empty($_GET["selectloc"])) $_GET["selectloc"] = "";
		if(empty($_GET["child"])) $_GET["child"] = "";
		if(empty($_GET["selectapp"])) $_GET["selectapp"] = "";
		echo "<div align=\"center\">";
				
		if(isset($_GET["selectloc"]) && !empty($_GET["selectloc"])){
		
			if ($_GET["selectloc"]!="all") {
			
				$query = "SELECT id, completename,parentID FROM glpi_dropdown_locations where id='".$_GET["selectloc"]."';";
				if($result = $db->query($query)){
					while($ligne= mysql_fetch_array($result)){
					$location=$ligne["completename"];
					$parentid=$ligne["parentID"];
					}
				}
					echo "<h3>".$langarchires["archires"][0]." ".$location."</h3>";
				}else{
					echo "<h3>".$langarchires["archires"][1]."</h3>";
				}
				
					
				$plugin_archires_color=new plugin_archires_color();
				$query = "SELECT * FROM glpi_plugin_archires_color order by iface asc;";
				if($result = $db->query($query)){
					$number = $db->numrows($result);
					if($number != 0){			
						$i=0;
						echo "<div align='center'>";
						echo "<table class='tab_cadre' cellpadding='5'>";
						echo "<tr>";
						echo "<th colspan='4'>".$langarchires["archires"][22]."</th>";
						echo "</tr>";
							while($ligne= mysql_fetch_array($result)){
		
								$ID=$ligne["ID"];
								
								if($i  % 2==0 && $number>1)
									echo "<tr class='tab_bg_1'>";
								
								if($number==1)
									echo "<tr class='tab_bg_1'>";						
								echo "<td>".getDropdownName("glpi_dropdown_iface",$ligne["iface"])."</td><td bgcolor='".$ligne["color"]."'>&nbsp;</td>";					
								
								$i++;
								if(($i  == $number) && ($number  % 2 !=0) && $number>1)
									echo "<td>&nbsp;</td><td>&nbsp;</td></tr>";
								
								}

						echo "</table>";
						echo "</div>";
					}
				}
				echo "<br>";
				
		}
		SelectCriteria();
		echo "<br>";
		if(isset($_GET["selectloc"]) && !empty($_GET["selectloc"])){
		
		echo "<img src=\"image_loc.php?type=png&amp;child=".$_GET["child"]."&amp;location=".$_GET["selectloc"]."\" alt=\"\" usemap=\"#G\">";
				echo plugin_archires_graphviz_fetch_loc("cmapx",$_GET["selectloc"],$_GET["child"]);
		}		
		if(isset($_GET["selectapp"]) && !empty($_GET["selectapp"])){
		
		echo "<img src=\"image_app.php?type=png&amp;child=".$_GET["child"]."&amp;application=".$_GET["selectapp"]."\" alt=\"\" usemap=\"#G\">";
				echo plugin_archires_graphviz_fetch_app("cmapx",$_GET["selectapp"]);
		}		
		
					
		echo "</div>";	
	
	}
}else{
			echo "<div align='center'><br><br><img src=\"".$HTMLRel."pics/warning.png\" alt=\"warning\"><br><br>";
				echo "<b>".$lang["login"][5]."</b></div>";
		}

commonFooter();

?>
